SND_SOC_DAPM_TO_PLAT(9)

NAME
snd_soc_dapm_to_platform - Casts a DAPM context to the platform it is embedded in

SYNOPSIS

struct snd_soc_platform * snd_soc_dapm_to_platform(struct snd_soc_dapm_context * dapm);

ARGUMENTS

dapm
    The DAPM context to cast to the platform.

DESCRIPTION

This function must only be used on DAPM contexts that are known to be part of a platform (e.g. in a platform driver). Otherwise the behavior is undefined.

COPYRIGHT